Bug 12605 - Winbindd endless looping in forest trust scan
Winbindd endless looping in forest trust scan
Status: RESOLVED FIXED
Product: Samba 4.1 and newer
Classification: Unclassified
Component: Winbind
4.6.0rc3
All All
: P5 regression
: 4.6
Assigned To: Karolin Seeger
Samba QA Contact
:
Depends on:
Blocks: 11830
  Show dependency treegraph
 
Reported: 2017-03-01 17:17 UTC by Stefan Metzmacher
Modified: 2017-03-13 08:18 UTC (History)
3 users (show)

See Also:


Attachments
Possible patch for master (2.96 KB, patch)
2017-03-02 11:16 UTC, Stefan Metzmacher
no flags Details
Patches for v4-6-test (3.28 KB, patch)
2017-03-03 09:50 UTC, Stefan Metzmacher
slow: review+
Details
Patches for v4-5-test (3.28 KB, patch)
2017-03-03 09:51 UTC, Stefan Metzmacher
slow: review+
Details
Patches for v4-4-test (3.28 KB, patch)
2017-03-03 09:51 UTC, Stefan Metzmacher
slow: review+
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Stefan Metzmacher 2017-03-01 17:17:04 UTC
The fixes for bug #11830 trigger an endless loop in winbindd's forest trust scan logic.

- winbindd is member of W4EDOM-L4.BASE
- W4EDOM-L4.base has a two-way forest trust to BLA.BASE
- BLA.BASE has a 2nd tree-root domain BLA2.BASE

After the "winbind cache time" expires the parent winbindd
process loops and enumerates the trusts of BLA.BASE and BLA2.BASE.
Comment 1 Stefan Metzmacher 2017-03-02 11:16:51 UTC
Created attachment 13002 [details]
Possible patch for master
Comment 2 Stefan Metzmacher 2017-03-03 09:50:48 UTC
Created attachment 13005 [details]
Patches for v4-6-test
Comment 3 Stefan Metzmacher 2017-03-03 09:51:13 UTC
Created attachment 13006 [details]
Patches for v4-5-test
Comment 4 Stefan Metzmacher 2017-03-03 09:51:52 UTC
Created attachment 13007 [details]
Patches for v4-4-test
Comment 5 Ralph Böhme 2017-03-03 10:05:59 UTC
Reassigning to Karolin for inclusion in 4.4, 4.5 and 4.6.
Comment 6 Karolin Seeger 2017-03-06 07:44:13 UTC
(In reply to Ralph Böhme from comment #5)
Pushed to autobuild-v4-{6,5,4}-test.
Comment 7 Karolin Seeger 2017-03-13 08:18:39 UTC
(In reply to Karolin Seeger from comment #6)
Pushed to all branches.
Closing out bug report.

Thanks!